<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmItemLinkType Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmItemLinkType Enumeration

Visual Basic
C#
C++/CLI
Types of linked files to items.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmItemLinkType
       Inherits System.Enum

C# |
--- | ---

    public enum EdmItemLinkType : System.Enum

C++/CLI |
--- | ---

    public enum class EdmItemLinkType : public System.Enum

# Members

Member | Description
--- | ---
EdmItemLnk_Attachment | 1 = Attachment links are referred to as static links in the user interface; a statically linked file does not drive the associated item; it is just an attachment
EdmItemLnk_Dynamic | 0 = Dynamic links are referred to as auto-update links in the user interface in SOLIDWORKS PDM Professional 2010 and later; this means that some changes in the linked file automatically propagates to the item

# See Also

####

EPDM.Interop.epdm Namespace
EdmGenItemInfo Structure